SystemOrganization addCategory: #GODSocialNetIO!

Object subclass: #SNETFetcher
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODSocialNetIO'!

SNETFetcher subclass: #SNETFacebookFetcher
	instanceVariableNames: 'result'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODSocialNetIO'!

!SNETFacebookFetcher methodsFor: 'get' stamp: 'T.A. 9/24/2014 18:51'!
search: aSocialNetFilter
	"search posts on facebook"

		result := OrderedCollection new.
		result sortBy: [:a :b | a timestamp < b timestamp].

		result add: ((GODData new)
			content: 'Ola, tudo bem?';
			origin: 'Facebook';
			timestamp: Date today;
			yourself).

		result add: ((GODData new)
			content: 'Post de ontem';
			origin: 'Facebook';
			timestamp: Date yesterday;
			yourself).

	^ result.! !

!SNETFetcher methodsFor: 'get' stamp: 'T.A. 9/24/2014 18:50'!
search: aSocialNetFilter
	"search posts on a social network"

	^ self subclassResponsibility.! !

SNETFetcher subclass: #SNETTwitterFetcher
	instanceVariableNames: 'result'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODSocialNetIO'!

!SNETTwitterFetcher methodsFor: 'get' stamp: 'T.A. 9/24/2014 18:51'!
search: aSocialNetFilter
	"search posts on twitter"

		result := OrderedCollection new.
		result sortBy: [:a :b | a timestamp < b timestamp].

		result add: ((GODData new)
			content: 'Ola, tudo bem?';
			origin: 'Twitter';
			timestamp: Date today;
			yourself).

		result add: ((GODData new)
			content: 'Post de ontem';
			origin: 'Twitter';
			timestamp: Date yesterday;
			yourself).
	^ result.! !

Object subclass: #SNETFilter
	instanceVariableNames: 'arguments'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODSocialNetIO'!

!SNETFilter methodsFor: 'acessing' stamp: 'T.A. 9/24/2014 18:47'!
arguments
	^ arguments! !

!SNETFilter methodsFor: 'acessing' stamp: 'T.A. 9/24/2014 18:45'!
arguments: aString
	arguments := aString! !
